Subject: Re: wuftpd in client under nisplus (fwd)

From: Priron <[email-masked]>
Date: Tue, 26 Jan 1999 10:04:50 +0800 (HKT)

I have made the test of your suggestion. The answer is failed. No matter what I modify the config.h file (no "#undef ANON_ONLY" or with "#undef ANON_ONLY"), login with my login name into my client machine is unable
	Any suggestion that can help me ?

Priron

Forwarded message:
> From [email-masked] Sat Jan 23 06:31:38 1999
> Message-Id: <[email-masked]>
> Date: Fri, 22 Jan 1999 17:25:45 -0500 (EST)
> Reply-To: [email-masked]
> Sender: [email-masked]
> From: Jason Spears <[email-masked]>
> To: Priron <[email-masked]>
> Cc: [email-masked]
> Subject: Re: wuftpd in client under nisplus
> In-Reply-To: <[email-masked]>
> MIME-Version: 1.0
> Content-Type: TEXT/PLAIN; charset=US-ASCII
> X-Authentication-Warning: xns.usit.net: jspears owned process doing -bs
> X-Listprocessor-Version: 8.0 -- ListProcessor(tm) by CREN
> Content-Length: 995
> 
> AFAIK nisplus should be invisible to wu-ftpd.  Make sure your FTP server
> machine has the correct settings in /etc/nsswitch.conf, should probably be:
> 
>   passwd:  files nisplus
> 
> and maybe also:
> 
>   group:  files nisplus
> 
> If you can telnet into the machine using an account that exists in
> nisplus but not in your passwd file, the configuration problem may
> be in config.h in the wu-ftpd distribution; make sure you have
> the line
> 
>   #undef ANON_ONLY
> 
> otherwise real users won't be able to login to the machine via FTP.
> 
> Hope this helps,
> 
> Jason Spears
> 
> 
> On Fri, 22 Jan 1999, Priron wrote:
> 
>  >I have a problem to login to home directory with login, but there is no problem for anonymous user.
>  >My machine is solairs 2.6. and it is a client under nisplus tree (not root machine and not replica machine).
>  >I go through the source in ftpd.c file. There is no code to get authentication from root or replica machine under nisplus environment.
>  >Any suggest that can help me to configure ?
>  >
>  >Priron
>  >
> 
>